<!--
/* Capturing The Mouse Position in IE4-6 & NS4-6
(C) 2000 www.CodeLifter.com
Free for all users, but leave in this  header */
// Detect if the browser is IE or not.
// If it is not IE, we assume that the browser is NS.
var IE = document.all?true:false;
// If NS -- that is, !IE -- then set up for mouse capture
if (!IE) document.captureEvents(Event.MOUSEMOVE);
// Set-up to use getMouseXY function onMouseMove
document.onmousemove = getMouseXY;
// Temporary variables to hold mouse x-y pos.s
var tempX = 0;
var tempY = 0;
// Main function to retrieve mouse x-y pos.s
function getMouseXY(e) {
  if (IE) { // grab the x-y pos.s if browser is IE
    tempX = event.clientX + document.body.scrollLeft;
    tempY = event.clientY + document.body.scrollTop;
  } else {  // grab the x-y pos.s if browser is NS
    tempX = e.pageX;
    tempY = e.pageY;
  }  
  // catch possible negative values in NS4
  if (tempX < 0){tempX = 0;}
  if (tempY < 0){tempY = 0;}  
  // show the position values in the form named Show
  // in the text fields named MouseX and MouseY
  //document.Show.MouseX.value = tempX;
  //document.Show.MouseY.value = tempY;
  return true;
}

function showHover(a) {
	var elem = document.getElementById('hover');
	elem.style.display = '';
	elem.style.backgroundImage = "url(../images/"+a+")";
	elem.style.left = tempX + "px";
	elem.style.top = tempY + "px";
}
function hideHover() {
	document.getElementById('hover').style.display = 'none';
}

var Targets=new Array();
var Add=new Array();
var Events=new Array();
var Require=new Array();
var Require_param=new Array();
var Require_type=new Array();
var Expire=new Array();

// Generated on 23/5/2010 at 23:23
Events[1] = "kill"
Targets[1.1] = "Killer"
Targets[1.2] = "Victim"
Targets[1.3] = "Assister"
Events[2] = "hurt"
Targets[2.1] = "Attacker"
Targets[2.2] = "Victim"
Add[2] = "+ Damage"
Events[3] = "chat"
Targets[3.1] = "Player"
Events[4] = "spawn"
Targets[4.1] = "Player"
Events[5] = "break_breakable"
Targets[5.1] = "Player"
Events[100] = "_TEAM FORTRESS 2_"
Events[101] = "capture"
Targets[101.1] = "Player"
Events[102] = "buffbanner"
Targets[102.1] = "Player"
Events[103] = "mvp"
Targets[103.1] = "Player"
Events[104] = "player_sapped"
Targets[104.1] = "Spy"
Targets[104.2] = "Owner"
Events[106] = "medic_uber"
Targets[106.1] = "Medic"
Targets[106.2] = "Target"
Events[107] = "item_found"
Targets[107.1] = "Player"
Events[200] = "_LEFT 4 DEAD 2_"
Events[201] = "pills_used"
Targets[201.1] = "Player"
Events[202] = "l4d2_heal"
Targets[202.1] = "Target"
Targets[202.2] = "User"
Events[203] = "enter_saferoom"
Targets[203.1] = "Player"
Events[204] = "tank_frustrated"
Targets[204.1] = "Player"
Expire[0] = "Never"
Expire[1] = "On death"
Expire[2] = "On kill"
Expire[3] = "On hurt"
Expire[4] = "On chat"
Expire[5] = "On spawn"
Expire[6] = "On break func_breakable"
Expire[99] = "__TEAM FORTRESS 2__"
Expire[100] = "On point captured"
Expire[101] = "On buff banner deployed"
Expire[102] = "On MVP"
Expire[103] = "On Sapping an Object"
Expire[104] = "On Getting Object Sapped"
Expire[105] = "On Healing (medic)"
Expire[106] = "On Getting Healed"
Expire[107] = "On Being Ubered"
Expire[108] = "On Deploying Uber (medic)"
Expire[109] = "On Item Obtained"
Expire[110] = "On Found"
Expire[111] = "On Item Crafted"
Expire[199] = "__LEFT 4 DEAD 2__"
Expire[200] = "On pills used"
Expire[201] = "On healed by medkit"
Expire[202] = "On healed someone with medkit"
Expire[203] = "On enter saferoom"
Expire[204] = "On frustrated as tank"
Require[1] = "X Must be alive"
Require_type[1] = 2
Require[2] = "X Must be dead"
Require_type[2] = 2
Require[3] = "X Must have minimum Y hp"
Require_type[3] = 2
Require_param[3] = 2
Require[4] = "X Must have maximum Y hp"
Require_type[4] = 2
Require_param[4] = 2
Require[5] = "Did not self-inflict"
Require_param[5] = 0
Require[6] = "Self-inflicted"
Require_param[6] = 0
Require[7] = "[Chat] Chat input contains X"
Require[8] = "[Chat] Chat input does not contain X"
Require[9] = "[Chat] Chat input equals X"
Require[10] = "X's name contains Y"
Require_type[10] = 2
Require_param[10] = 2
Require[11] = "X's name does not contain Y"
Require_type[11] = 2
Require_param[11] = 2
Require[12] = "X's name equals Y"
Require_type[12] = 2
Require_param[12] = 2
Require[13] = "X's steamid is Y"
Require_type[13] = 2
Require_param[13] = 2
Require[14] = "X is class Y (scout, smoker, nick, ...)"
Require_type[14] = 2
Require_param[14] = 2
Require[15] = "X is team Y (red, survivor, ...)"
Require_type[15] = 2
Require_param[15] = 2
Require[16] = "X is on team with Y"
Require_type[16] = 3
Require_param[16] = 2
Require[17] = "X is not on team with Y"
Require_type[17] = 3
Require_param[17] = 2
Require[18] = "X and Y is the same person"
Require_type[18] = 3
Require_param[18] = 2
Require[19] = "X and Y is not the same person"
Require_type[19] = 3
Require_param[19] = 2
Require[20] = "X's team has minimum y players alive"
Require_type[20] = 2
Require_param[20] = 2
Require[21] = "X's team has maximum y players alive"
Require_type[21] = 2
Require_param[21] = 2
Require[22] = "X has achievement with id Y unlocked"
Require_type[22] = 2
Require_param[22] = 2
Require[23] = "X has not achievement with id Y unlocked"
Require_type[23] = 2
Require_param[23] = 2
Require[24] = "X is a bot"
Require_type[24] = 2
Require[25] = "X is not a bot"
Require_type[25] = 2
Require[99] = "__TEAM FORTRESS 2__"
Require_param[99] = 0
Require[100] = "[Capture] Participants is minimum X players"
Require[101] = "[Capture] Participants is maximum X players"
Require[102] = "Was (any) critical"
Require_param[102] = 0
Require[103] = "Was real critical"
Require_param[103] = 0
Require[104] = "Was mini critical"
Require_param[104] = 0
Require[105] = "Was not critical"
Require_param[105] = 0
Require[106] = "X is covered in jarate"
Require_type[106] = 2
Require[107] = "X is not covered in jarate"
Require_type[107] = 2
Require[108] = "X is buffed by buffbanner"
Require_type[108] = 2
Require[109] = "X is not buffed by buffbanner"
Require_type[109] = 2
Require[110] = "[Item] Item is named X (Ghastly Gibus, Axtinguisher, ...)"
Require[111] = "[Item] Item is not named X"
Require[112] = "[Item] Item is crafted X"
Require_param[112] = 0
Require[113] = "[Item] Item is found X"
Require_param[113] = 0

var ach = 0;
function addAch(blockid) {
	var tmp, tmp2, tmp3;
	tmp = document.getElementById("block"+blockid+"_table").insertRow(6+parseInt(ach));
	ach++;
	tmp2 = tmp.insertCell(0);
    tmp3 = "";
    for (x in Require) {
        tmp3 += "<option value='"+x.toString()+"'>"+Require[x]+"</option>";
    }
	tmp2.innerHTML = "<select name='block"+blockid+"_req"+ach.toString()+"' id='block"+blockid+"_req"+ach.toString()+"' style='width:200px' onChange='UpdateReq("+blockid + "," +ach.toString()+")'>" + tmp3+"</select>";
    tmp2 = tmp.insertCell(1);
    tmp2.id = "block" + blockid + "_req"+ach.toString()+"_cell";
	tmp2.innerHTML = tmp2.id;
    UpdateReq(blockid, ach.toString())
}

function UpdateReq(blockid, rid) {
    var SReq, cell, tmp, req, i, event;
    var SEvent, target;
    SReq = document.getElementById("block"+blockid+"_req"+rid);
    cell = document.getElementById("block"+blockid+"_req"+rid+"_cell");
    SEvent = document.getElementById("block"+blockid+"_event");
    event = parseInt(SEvent.options[SEvent.selectedIndex].value);
    req = parseInt(SReq.options[SReq.selectedIndex].value);
    tmp = "";
    if (Require_param[req] == undefined || Require_param[req] > 0) {
        if (Require_type[req] == undefined || Require_type[req] < 2) {
            tmp += "X:<br><input type='text' width='50%' name='block"+blockid+"_req"+rid+"_par1' value='0'><br>";
        }
        if (Require_type[req] >= 2) {
            tmp += "X:<br><select name='block"+blockid+"_req"+rid+"_par1'>";
            for (i = 0; i <= 2; i = i+1) {
                target = "?";
                if (Targets[event+((i+1) * 0.1)] != undefined) target = Targets[event+((i+1) * 0.1)];
                tmp += "<option value='"+i.toString()+"'>"+target+"</option>";
            }
            tmp += "</select><br>";
        }
        
        if (Require_param[req] >= 2) {
            if (Require_type[req] == undefined || Require_type[req] < 3) {
                tmp += "Y:<br><input type='text' width='50%' name='block"+blockid+"_req"+rid+"_par2' value='0'><br>";
            }
            if (Require_type[req] >= 3) {
                tmp += "Y:<br><select name='block"+blockid+"_req"+rid+"_par2'>";
                for (i = 0; i <= 2; i = i+1) {
                    target = "?";
                    if (Targets[event+((i+1) * 0.1)] != undefined) target = Targets[event+((i+1) * 0.1)];
                    tmp += "<option value='"+i.toString()+"'>"+target+"</option>";
                }
                tmp += "</select><br>";
            }
        }
    }
    
    cell.innerHTML=tmp;
}

var blocks = 0;
var newblocks = 0;
function addBlock() {
    var tmp, i;
    newblocks -= 1;
    blocks += 1;
    var Master = document.getElementById("allblocks");
    var myTable = document.createElement("table");
    Master.appendChild(myTable);
    myTable.id = "block" + newblocks.toString() + "_table";
    tmp = "";
    
    tmp += "<tr width='50%'><td width='50%'><b>New Task</b></td></tr>";
    tmp += "<tr><td><b>Event</b><br><small><i>Events classify what the task involves! For instance, kill tells the task that it is activated upon a kill event</i></small></td><td><select name='block"+newblocks.toString()+"_event' id='block"+newblocks.toString()+"_event'>";
    for (x in Events) {
        tmp += "<option value='"+x.toString()+"'>"+Events[x]+"</option>";
    }
    tmp += "</select>";
    tmp += "</td></tr>";
    tmp += "<tr><td><b>Target</b><br><small><i>Target tells who gets rewarded for doing the task! If the event is kill and the target is the killer, the killer will get the reward</i></small></td><td><select name='block"+newblocks.toString()+"_target' id='block"+newblocks.toString()+"_target'>";
    for (i = 0; i <= 2; i++) {
        tmp += "<option value='"+i.toString()+"'>Option</option>";
    }
    tmp += "</select>";
    tmp += "</td></tr>";
    // ADD
    tmp += "<tr><td><b>Add</b><br><small><i>This tells how much to add towards the tasks completion upon doing the task!<br>For instance, if our event is kill and we have an add of +1 and a total triggers of 30, the task needs to be done 30 times to be completed!<br>Some events allow for other values than just +1 (for instance, hurt)</i></small></td><td><select name='block"+newblocks.toString()+"_add' id='block"+newblocks.toString()+"_add' >";
    tmp += "<option value='1'>+ 1</option>";
    tmp += "<option value='2'>?</option>";
    tmp += "</select>";
    tmp += "</td></tr>";
    // TRIGGERS
    tmp += "<tr><td><b>Triggers</b><br><small><i>How many times total the achievement needs to be done before it is completed</i></small></td><td><input type='text' name='block"+newblocks.toString()+"_triggers' id='block"+newblocks.toString()+"_triggers' value='1'></td></tr>";
    // REQUIREMENTS
    tmp += "<tr><td><b>Requirements</b><br><small><i>Requirements are filters that forces the task to fit certain properties before it counts in-game!<br>For instance, if we have a kill event and we dont want suicide to count, we simply add a not self-inflicted requirement</i></small></td><td><button type='button' onClick='addAch("+newblocks.toString()+")'>New Requirement</button></td></tr>\n";
    // END
    tmp += "<tr><td><b>Expire</b><br><small><i>The progress of the task can be reset upon certain events</i></small></td><td><select name='block"+newblocks.toString()+"_expire'>";
    for (x in Expire) {
        tmp += "<option value='"+x.toString()+"'>"+Expire[x]+"</option>";
    }
    tmp += "</select>";
    tmp += "</td></tr>";
    
    myTable.innerHTML = tmp;
    updateEvent(newblocks.toString());
}

function find_user() {
    var Object = document.getElementById("user_id");
    var value = Object.value;
    window.location = "index.php?act=edit_user&id="+value;
}