<?php
/**
 * Custom Achievements 2.0!
 * webinterface_1.0
 * confirm.php
 *
 * @author 		Janvier1985
 * @author		Mecha the Slag
 * @copyright	None
 * @link		http://forums.alliedmods.net/showthread.php?t=126779
 *
 */
?>
<table width='100%' border='0'>
    <tr>
        <td>
            <div class="ui-widget">
                <div class="ui-state-highlight ui-corner-all" style="margin-top: 20px; padding: 0 .7em;"> 
                    <p>
                        <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
                <b>STEAMIDs</b>
                        </p>
                </div>
            </div>
    			<br />
                All steamIDs will be converted to OrangeBox SteamIDs to keep consistency. This is because OrangeBox and newer engines, such as Left 4 Dead 2 have vaguely different numbers.
                <br />
                <br />
                <i>Example:</i>
                <br />
                Team Fortress 2: STEAM_<b>0</b>:0:17402999<br />Left 4 Dead 2: STEAM_<b>1</b>:0:17402999
                <br />
                <br />
                As you can see, only the first number (STEAM_X) is different. If you have a Left 4 Dead 2 SteamID, simply change that first number to a zero and it'll work perfectly.
        </td>
	</tr>
    <?php
    if($display_del_db == '1'){
	?>
		<tr>
		<td>
            <div class="ui-widget">
                <div class="ui-state-highlight ui-corner-all" style="margin-top: 20px; padding: 0 .7em;"> 
                    <p>
                        <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
                    <b>Database</b>
                    </p>
                </div>
            </div>
            <br />
            You can delete all info in you datase with 1 simple push of a button.
            <br />
            <b>Warning! Only 1 click will remove everything!</b>
            <br />
            <br />
                <form class="nyroModal" method="post" action="deldb.php">
                <input type="submit" value="Delete database" class="ui-state-default ui-corner-all">
                </form>

</td>
</tr>
<?php
	}else{
echo '	
		<tr>
		<td>
            <div class="ui-widget">
                <div class="ui-state-highlight ui-corner-all" style="margin-top: 20px; padding: 0 .7em;"> 
                    <p>
                        <span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
                    <b>Database</b>
                    </p>
                </div>
            </div>
            <br />
            If you wish to delete your database, open your config file and change:
			<br>
			<br>
			$display_del_db = "0";
			<br>
			<br>
			to
			<br>
			<br>
			$display_del_db = "1";
			<br>
			<br>
			<small><i>"0" disabled // "1" enabled</i></small>
			<br>
			<br>
			<b>Warning! Setting this option on will delete your database, as soon as you are done with the database delete set the script back to "0"!</b>
            <br />
            <br />

</td>
</tr>
';
}
?>

</table>