/*mysqldump.php version 1.02 */
/* Table structure for table `mw_achievements_get_ach` */
DROP TABLE IF EXISTS `mw_achievements_get_ach`;

CREATE TABLE `mw_achievements_get_ach` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `triggers` int(11) NOT NULL default '1',
  `blocks` text NOT NULL,
  `game` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;

/* dumping data for table `mw_achievements_get_ach` */
insert into `mw_achievements_get_ach` values
(2,'30 Mile Man','Get 30 Kills in one map!',1,'2',0),
(3,'Hurtmania','Do a total of 2000 damage in a single life!',1,'3',0),
(4,'OI MATE','Bring out your inner Brit!',1,'4',0),
(5,'The Proest','Get killed by Mecha the Slag!',1,'5',0),
(6,'Came, Saw, Conquered','Capture a point all by yourself!',1,'6',1),
(7,'Fat Bald Bastard','Eat 2 bottles of pills in one life!',1,'7',2),
(8,'Misfortunate Medic','Ubercharge an enemy spy!',1,'8',1),
(9,'Salute to the Solo','Get 5 kills without getting healed by a medic!',1,'9',1),
(10,'Sole Survivor','Reach the safehouse as the only survivor!',1,'10',2),
(11,'Workplace Insurance','Ubercharge an engineer!',1,'11',1),
(12,'Successful Suicide','Perform 10 suicides!',10,'17',0),
(22,'Outbreak','Catch a rare strain of infection!',1,'23',0),
(18,'MVP Master','Become MVP!',1,'20',1),
(21,'I Spy','Kill 3 spies in one life as engineer!',1,'22',1),
(23,'No Bots Allowed','Strategically kill a bot!',1,'24',2),
(24,'No Smoking','Kill 3 smokers in one life!',1,'25',2),
(25,'Two Buffs Two Banners','Use the Buffbanner twice in one life!',1,'26',1),
(26,'Fail Tank','Lose the tank to frustration!',1,'27',2),
(27,'He Mad?','Break 100 objects!',100,'28',0),
(28,'Hanging With Da Gang','Capture a point with 4 other teammates!',1,'29',1),
(29,'Krafting King','Craft 10 items!',10,'30',1),
(30,'I really hate crits','Get killed by a critical 5 times!',5,'31',1);

/* Table structure for table `mw_achievements_get_blocks` */
DROP TABLE IF EXISTS `mw_achievements_get_blocks`;

CREATE TABLE `mw_achievements_get_blocks` (
  `id` int(11) NOT NULL auto_increment,
  `event` varchar(255) NOT NULL,
  `target` int(11) NOT NULL default '0',
  `triggers` int(11) NOT NULL default '1',
  `add` int(11) NOT NULL default '0',
  `requirement` text NOT NULL,
  `expire` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;

/* dumping data for table `mw_achievements_get_blocks` */
insert into `mw_achievements_get_blocks` values
(2,'kill',0,30,1,'5,,','0'),
(3,'hurt',0,2000,1,'5','1'),
(4,'chat',0,1,0,'7,bloody',''),
(5,'kill',1,1,0,'13,0,STEAM_0:0:17402999|5',''),
(6,'capture',0,1,0,'101,1',''),
(7,'pills_used',0,2,0,'','1'),
(8,'medic_uber',0,1,1,'17,0,1|14,1,spy','0'),
(9,'kill',0,5,0,'5','1|106'),
(10,'enter_saferoom',0,1,0,'21,0,1|15,0,survivor',''),
(11,'medic_uber',0,1,0,'14,1,engineer',''),
(17,'kill',1,1,1,'6',''),
(20,'mvp',0,1,1,'',''),
(23,'kill',1,1,1,'22,0,22','0'),
(22,'kill',0,3,1,'14,1,spy|14,0,engineer',''),
(24,'kill',0,1,1,'24,1,|15,0,survivor|16,0,1','0'),
(25,'kill',0,3,1,'14,1,smoker','1'),
(26,'buffbanner',0,2,1,'','1'),
(27,'tank_frustrated',0,1,1,'','0'),
(28,'break_breakable',0,1,1,'','0'),
(29,'capture',0,99999,1,'100,5,','0'),
(30,'item_found',0,1,1,'112,,','0'),
(31,'kill',1,1,1,'103,,','0');

/* Table structure for table `mw_achievements_post_ach` */
DROP TABLE IF EXISTS `mw_achievements_post_ach`;

CREATE TABLE `mw_achievements_post_ach` (
  `id` varchar(255) NOT NULL COMMENT '(steamid_achid)',
  `achid` int(11) NOT NULL,
  `steamid` varchar(255) NOT NULL,
  `triggers` int(11) NOT NULL default '0',
  `complete` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

/* dumping data for table `mw_achievements_post_ach` */
insert into `mw_achievements_post_ach` values
('STEAM_0:1:19397586_22',22,'STEAM_0:1:19397586',0,1),
('STEAM_0:1:22512458_22',22,'STEAM_0:1:22512458',0,1),
('STEAM_0:1:20854285_22',22,'STEAM_0:1:20854285',0,1),
('STEAM_0:0:17402999_7',7,'STEAM_0:0:17402999',0,1),
('STEAM_0:1:16442933_12',12,'STEAM_0:1:16442933',0,1),
('STEAM_0:0:19608046_21',21,'STEAM_0:0:19608046',0,1),
('STEAM_0:0:31854524_22',22,'STEAM_0:0:31854524',0,1),
('STEAM_0:1:16442933_5',5,'STEAM_0:1:16442933',0,1),
('STEAM_0:1:20854285_2',2,'STEAM_0:1:20854285',0,1),
('STEAM_0:1:19397586_12',12,'STEAM_0:1:19397586',0,1),
('STEAM_0:0:22074732_22',22,'STEAM_0:0:22074732',0,1),
('STEAM_0:1:16442933_22',22,'STEAM_0:1:16442933',0,1),
('STEAM_0:0:18674013_6',6,'STEAM_0:0:18674013',0,1),
('STEAM_0:0:22074732_5',5,'STEAM_0:0:22074732',0,1),
('STEAM_0:0:19608046_22',22,'STEAM_0:0:19608046',0,1),
('STEAM_0:1:29210977_5',5,'STEAM_0:1:29210977',0,1),
('STEAM_0:1:29210977_22',22,'STEAM_0:1:29210977',0,1),
('STEAM_0:1:16442933_9',9,'STEAM_0:1:16442933',0,1),
('STEAM_0:0:17488690_22',22,'STEAM_0:0:17488690',0,1),
('STEAM_0:0:24452537_5',5,'STEAM_0:0:24452537',0,1),
('STEAM_0:0:24452537_22',22,'STEAM_0:0:24452537',0,1),
('STEAM_0:0:18674013_22',22,'STEAM_0:0:18674013',0,1),
('STEAM_0:0:17488690_5',5,'STEAM_0:0:17488690',0,1),
('STEAM_0:0:19049576_12',12,'STEAM_0:0:19049576',0,1),
('STEAM_0:0:19608046_12',12,'STEAM_0:0:19608046',0,1),
('STEAM_0:0:1740299922',22,'STEAM_0:0:17402999',0,1),
('STEAM_0:1:20854285_9',9,'STEAM_0:1:20854285',0,1),
('STEAM_0:1:20854285_21',21,'STEAM_0:1:20854285',0,1),
('STEAM_0:0:17402999_12',12,'STEAM_0:0:17402999',0,1),
('STEAM_0:0:18674013_5',5,'STEAM_0:0:18674013',0,1),
('STEAM_0:0:11658659_7',7,'STEAM_0:0:11658659',0,1),
('STEAM_0:1:15076561_12',12,'STEAM_0:1:15076561',3,0),
('STEAM_0:1:17641957_10',10,'STEAM_0:1:17641957',0,1),
('STEAM_0:0:22444073_9',9,'STEAM_0:0:22444073',0,1),
('STEAM_0:0:1543683_12',12,'STEAM_0:0:1543683',1,0),
('STEAM_0:0:17402999_10',10,'STEAM_0:0:17402999',0,1),
('STEAM_0:1:17641957_12',12,'STEAM_0:1:17641957',1,0),
('STEAM_0:0:11658659_27',27,'STEAM_0:0:11658659',1,0),
('STEAM_0:0:22444073_22',22,'STEAM_0:0:22444073',0,1),
('STEAM_0:1:22512458_10',10,'STEAM_0:1:22512458',0,1),
('STEAM_0:0:19608046_9',9,'STEAM_0:0:19608046',0,1),
('STEAM_0:0:18674013_12',12,'STEAM_0:0:18674013',0,1),
('STEAM_0:1:19397586_5',5,'STEAM_0:1:19397586',0,1),
('STEAM_0:0:17402999_9',9,'STEAM_0:0:17402999',0,1),
('STEAM_0:1:22512458_5',5,'STEAM_0:1:22512458',0,1),
('STEAM_0:0:24452537_12',12,'STEAM_0:0:24452537',0,1),
('STEAM_0:0:20178551_22',22,'STEAM_0:0:20178551',0,1),
('STEAM_0:1:20854285_5',5,'STEAM_0:1:20854285',0,1),
('STEAM_0:0:17402999_2',2,'STEAM_0:0:17402999',0,1),
('STEAM_0:1:20854285_12',12,'STEAM_0:1:20854285',0,1),
('STEAM_0:0:19608046_6',6,'STEAM_0:0:19608046',0,1),
('STEAM_0:1:16442933_2',2,'STEAM_0:1:16442933',0,1),
('STEAM_0:0:22444073_5',5,'STEAM_0:0:22444073',0,1),
('STEAM_0:0:19608046_2',2,'STEAM_0:0:19608046',0,1),
('STEAM_0:0:17402999_6',6,'STEAM_0:0:17402999',0,1),
('STEAM_0:0:19608046_5',5,'STEAM_0:0:19608046',0,1),
('STEAM_0:0:12976387_5',5,'STEAM_0:0:12976387',0,1),
('STEAM_0:1:26220855_22',22,'STEAM_0:1:26220855',0,1),
('STEAM_0:0:1593209_22',22,'STEAM_0:0:1593209',0,1),
('STEAM_0:1:16506142_5',5,'STEAM_0:1:16506142',0,1),
('STEAM_0:1:16506142_12',12,'STEAM_0:1:16506142',0,1),
('STEAM_0:1:16506142_22',22,'STEAM_0:1:16506142',0,1),
('STEAM_0:0:27363429_22',22,'STEAM_0:0:27363429',0,1),
('STEAM_0:0:18202104_9',9,'STEAM_0:0:18202104',0,1),
('STEAM_0:0:1593209_9',9,'STEAM_0:0:1593209',0,1),
('STEAM_0:1:22512458_6',6,'STEAM_0:1:22512458',0,1),
('STEAM_0:0:12976387_12',12,'STEAM_0:0:12976387',0,1),
('STEAM_0:0:24912277_5',5,'STEAM_0:0:24912277',0,1),
('STEAM_0:1:26220855_9',9,'STEAM_0:1:26220855',0,1),
('STEAM_0:0:26913902_22',22,'STEAM_0:0:26913902',0,1),
('STEAM_0:1:16442933_3',3,'STEAM_0:1:16442933',0,1),
('STEAM_0:1:16631523_5',5,'STEAM_0:1:16631523',0,1),
('STEAM_0:1:16631523_22',22,'STEAM_0:1:16631523',0,1),
('STEAM_0:0:17402999_3',3,'STEAM_0:0:17402999',0,1),
('STEAM_0:1:20854285_6',6,'STEAM_0:1:20854285',0,1),
('STEAM_0:1:24274573_12',12,'STEAM_0:1:24274573',0,1),
('STEAM_0:1:24274573_22',22,'STEAM_0:1:24274573',0,1),
('STEAM_0:1:18936367_5',5,'STEAM_0:1:18936367',0,1),
('STEAM_0:1:18936367_22',22,'STEAM_0:1:18936367',0,1),
('STEAM_0:1:24274573_5',5,'STEAM_0:1:24274573',0,1),
('STEAM_0:0:18202104_6',6,'STEAM_0:0:18202104',0,1),
('STEAM_0:0:14372548_5',5,'STEAM_0:0:14372548',0,1),
('STEAM_0:0:14372548_22',22,'STEAM_0:0:14372548',0,1),
('STEAM_0:0:14372548_6',6,'STEAM_0:0:14372548',0,1),
('STEAM_0:0:14372548_3',3,'STEAM_0:0:14372548',0,1),
('STEAM_0:1:18936367_9',9,'STEAM_0:1:18936367',0,1),
('STEAM_0:1:21082881_6',6,'STEAM_0:1:21082881',0,1),
('STEAM_0:0:14372548_2',2,'STEAM_0:0:14372548',0,1),
('STEAM_0:1:18936367_2',2,'STEAM_0:1:18936367',0,1),
('STEAM_0:1:21082881_5',5,'STEAM_0:1:21082881',0,1),
('STEAM_0:1:22512458_12',12,'STEAM_0:1:22512458',0,1),
('STEAM_0:1:24274573_6',6,'STEAM_0:1:24274573',0,1),
('STEAM_0:1:24274573_2',2,'STEAM_0:1:24274573',0,1),
('STEAM_0:1:18936367_12',12,'STEAM_0:1:18936367',5,0),
('STEAM_0:0:18202104_12',12,'STEAM_0:0:18202104',3,0),
('STEAM_0:0:10968659_6',6,'STEAM_0:0:10968659',0,1),
('STEAM_0:0:24789435_12',12,'STEAM_0:0:24789435',3,0),
('STEAM_0:0:24789435_6',6,'STEAM_0:0:24789435',0,1),
('STEAM_0:1:30263645_6',6,'STEAM_0:1:30263645',0,1),
('STEAM_0:0:4491893_6',6,'STEAM_0:0:4491893',0,1),
('STEAM_0:1:30263645_12',12,'STEAM_0:1:30263645',0,1),
('STEAM_0:0:29777925_6',6,'STEAM_0:0:29777925',0,1),
('STEAM_0:0:4491893_12',12,'STEAM_0:0:4491893',0,1),
('STEAM_0:0:29777925_12',12,'STEAM_0:0:29777925',2,0),
('STEAM_0:0:4491893_2',2,'STEAM_0:0:4491893',0,1),
('STEAM_0:0:4491893_9',9,'STEAM_0:0:4491893',0,1),
('STEAM_0:1:19539648_6',6,'STEAM_0:1:19539648',0,1),
('STEAM_0:1:19539648_12',12,'STEAM_0:1:19539648',2,0),
('STEAM_0:1:30263645_2',2,'STEAM_0:1:30263645',0,1),
('STEAM_0:0:27811853_9',9,'STEAM_0:0:27811853',0,1),
('STEAM_0:0:27811853_6',6,'STEAM_0:0:27811853',0,1),
('STEAM_0:0:27811853_12',12,'STEAM_0:0:27811853',0,1),
('STEAM_0:0:23047513_12',12,'STEAM_0:0:23047513',0,1),
('STEAM_0:0:23047513_6',6,'STEAM_0:0:23047513',0,1),
('STEAM_0:0:23047513_22',22,'STEAM_0:0:23047513',0,1),
('STEAM_0:0:4491893_22',22,'STEAM_0:0:4491893',0,1),
('STEAM_0:1:30263645_22',22,'STEAM_0:1:30263645',0,1),
('STEAM_0:0:27811853_22',22,'STEAM_0:0:27811853',0,1),
('STEAM_0:1:25063028_22',22,'STEAM_0:1:25063028',0,1),
('STEAM_0:1:23597780_22',22,'STEAM_0:1:23597780',0,1),
('STEAM_0:1:17150042_22',22,'STEAM_0:1:17150042',0,1),
('STEAM_0:1:16433484_22',22,'STEAM_0:1:16433484',0,1),
('STEAM_0:1:16433484_9',9,'STEAM_0:1:16433484',0,1),
('STEAM_0:0:6106352_22',22,'STEAM_0:0:6106352',0,1),
('STEAM_0:1:16433484_6',6,'STEAM_0:1:16433484',0,1),
('STEAM_0:0:5274209_22',22,'STEAM_0:0:5274209',0,1),
('STEAM_0:1:19550742_22',22,'STEAM_0:1:19550742',0,1),
('STEAM_0:1:23597780_9',9,'STEAM_0:1:23597780',0,1),
('STEAM_0:1:26677168_9',9,'STEAM_0:1:26677168',0,1),
('STEAM_0:0:6106352_9',9,'STEAM_0:0:6106352',0,1),
('STEAM_0:1:14068919_6',6,'STEAM_0:1:14068919',0,1),
('STEAM_0:0:5274209_6',6,'STEAM_0:0:5274209',0,1),
('STEAM_0:0:3670626_22',22,'STEAM_0:0:3670626',0,1),
('STEAM_0:1:26677168_6',6,'STEAM_0:1:26677168',0,1),
('STEAM_0:1:26677168_22',22,'STEAM_0:1:26677168',0,1),
('STEAM_0:1:14068919_22',22,'STEAM_0:1:14068919',0,1),
('STEAM_0:1:26677168_2',2,'STEAM_0:1:26677168',0,1),
('STEAM_0:0:6106352_2',2,'STEAM_0:0:6106352',0,1),
('STEAM_0:1:23597780_3',3,'STEAM_0:1:23597780',0,1),
('STEAM_0:0:27079981_22',22,'STEAM_0:0:27079981',0,1),
('STEAM_0:1:16442933_6',6,'STEAM_0:1:16442933',0,1),
('STEAM_0:0:32289100_22',22,'STEAM_0:0:32289100',0,1),
('STEAM_0:0:6106352_6',6,'STEAM_0:0:6106352',0,1),
('STEAM_0:1:23597780_6',6,'STEAM_0:1:23597780',0,1),
('STEAM_0:0:19349570_6',6,'STEAM_0:0:19349570',0,1),
('STEAM_0:0:19349570_12',12,'STEAM_0:0:19349570',4,0),
('STEAM_0:0:3088157_5',5,'STEAM_0:0:3088157',0,1),
('STEAM_0:0:3088157_22',22,'STEAM_0:0:3088157',0,1),
('STEAM_0:1:29975259_5',5,'STEAM_0:1:29975259',0,1),
('STEAM_0:1:29975259_22',22,'STEAM_0:1:29975259',0,1),
('STEAM_0:1:11086634_22',22,'STEAM_0:1:11086634',0,1),
('STEAM_0:0:26159881_22',22,'STEAM_0:0:26159881',0,1),
('STEAM_0:0:32150867_12',12,'STEAM_0:0:32150867',0,1),
('STEAM_0:1:11086634_12',12,'STEAM_0:1:11086634',5,0),
('STEAM_0:0:14526499_24',24,'STEAM_0:0:14526499',0,1),
('STEAM_0:1:4520969_22',22,'STEAM_0:1:4520969',0,1),
('STEAM_0:1:31890916_27',27,'STEAM_0:1:31890916',7,0),
('STEAM_0:0:3088157_24',24,'STEAM_0:0:3088157',0,1),
('STEAM_0:0:32150867_22',22,'STEAM_0:0:32150867',0,1),
('STEAM_0:0:29118452_22',22,'STEAM_0:0:29118452',0,1),
('STEAM_0:1:31314886_5',5,'STEAM_0:1:31314886',0,1),
('STEAM_0:1:4520969_24',24,'STEAM_0:1:4520969',0,1),
('STEAM_0:0:31020983_22',22,'STEAM_0:0:31020983',0,1),
('STEAM_0:0:29118452_27',27,'STEAM_0:0:29118452',23,0),
('STEAM_0:0:3088157_27',27,'STEAM_0:0:3088157',31,0),
('STEAM_0:0:27506165_27',27,'STEAM_0:0:27506165',36,0),
('STEAM_0:0:31020983_27',27,'STEAM_0:0:31020983',21,0),
('STEAM_0:0:32150867_27',27,'STEAM_0:0:32150867',27,0),
('STEAM_0:0:32150867_10',10,'STEAM_0:0:32150867',0,1),
('STEAM_0:1:4520969_27',27,'STEAM_0:1:4520969',32,0),
('STEAM_0:0:31020983_5',5,'STEAM_0:0:31020983',0,1),
('STEAM_0:0:27506165_5',5,'STEAM_0:0:27506165',0,1),
('STEAM_0:0:29154737_27',27,'STEAM_0:0:29154737',6,0),
('STEAM_0:0:17402999_27',27,'STEAM_0:0:17402999',0,1),
('STEAM_0:0:3088157_10',10,'STEAM_0:0:3088157',0,1),
('STEAM_0:0:29154737_22',22,'STEAM_0:0:29154737',0,1),
('STEAM_0:0:29118452_5',5,'STEAM_0:0:29118452',0,1),
('STEAM_0:1:32001245_22',22,'STEAM_0:1:32001245',0,1),
('STEAM_0:0:27523227_12',12,'STEAM_0:0:27523227',1,0),
('STEAM_0:1:22512458_27',27,'STEAM_0:1:22512458',51,0),
('STEAM_0:1:20854285_27',27,'STEAM_0:1:20854285',15,0),
('STEAM_0:1:22512458_7',7,'STEAM_0:1:22512458',0,1),
('STEAM_0:1:20854285_7',7,'STEAM_0:1:20854285',0,1),
('STEAM_0:0:17402999_4',4,'STEAM_0:0:17402999',0,1),
('STEAM_0:1:22235436_4',4,'STEAM_0:1:22235436',0,1),
('STEAM_0:1:22235436_9',9,'STEAM_0:1:22235436',0,1),
('STEAM_0:1:22235436_12',12,'STEAM_0:1:22235436',1,0),
('STEAM_0:0:19049576_5',5,'STEAM_0:0:19049576',0,1),
('STEAM_0:0:17402999_29',29,'STEAM_0:0:17402999',0,1),
('STEAM_0:0:17402999_28',28,'STEAM_0:0:17402999',0,1),
('STEAM_0:0:19049576_28',28,'STEAM_0:0:19049576',0,1),
('STEAM_0:0:24452537_28',28,'STEAM_0:0:24452537',0,1),
('STEAM_0:1:29478435_22',22,'STEAM_0:1:29478435',0,1),
('STEAM_0:0:19049576_22',22,'STEAM_0:0:19049576',0,1),
('STEAM_0:1:24274573_28',28,'STEAM_0:1:24274573',0,1),
('STEAM_0:1:29478435_28',28,'STEAM_0:1:29478435',0,1),
('STEAM_0:1:29478435_12',12,'STEAM_0:1:29478435',0,1),
('STEAM_0:1:16442933_28',28,'STEAM_0:1:16442933',0,1),
('STEAM_0:0:19608046_28',28,'STEAM_0:0:19608046',0,1),
('STEAM_0:0:17402999_22',22,'STEAM_0:0:17402999',0,1),
('STEAM_0:0:20414220_22',22,'STEAM_0:0:20414220',0,1),
('STEAM_0:0:21400264_22',22,'STEAM_0:0:21400264',0,1),
('STEAM_0:0:20414220_6',6,'STEAM_0:0:20414220',0,1),
('STEAM_0:0:22775383_22',22,'STEAM_0:0:22775383',0,1),
('STEAM_0:0:22775383_5',5,'STEAM_0:0:22775383',0,1),
('STEAM_0:1:16442933_29',29,'STEAM_0:1:16442933',0,1),
('STEAM_0:0:27266236_6',6,'STEAM_0:0:27266236',0,1),
('STEAM_0:0:27266236_22',22,'STEAM_0:0:27266236',0,1),
('STEAM_0:0:27266236_29',29,'STEAM_0:0:27266236',3,0),
('STEAM_0:0:29915637_22',22,'STEAM_0:0:29915637',0,1),
('STEAM_0:0:21400264_12',12,'STEAM_0:0:21400264',9,0),
('STEAM_0:0:27266236_12',12,'STEAM_0:0:27266236',0,1),
('STEAM_0:0:19049576_29',29,'STEAM_0:0:19049576',3,0),
('STEAM_0:0:19608046_30',30,'STEAM_0:0:19608046',0,1),
('STEAM_0:1:2663272_30',30,'STEAM_0:1:2663272',0,1),
('STEAM_0:0:19049576_30',30,'STEAM_0:0:19049576',0,1),
('STEAM_0:1:29478435_5',5,'STEAM_0:1:29478435',0,1),
('STEAM_0:0:20414220_5',5,'STEAM_0:0:20414220',0,1),
('STEAM_0:0:17402999_30',30,'STEAM_0:0:17402999',0,1),
('STEAM_0:0:27266236_30',30,'STEAM_0:0:27266236',0,1),
('STEAM_0:1:29478435_30',30,'STEAM_0:1:29478435',0,1),
('STEAM_0:1:16442933_30',30,'STEAM_0:1:16442933',0,1),
('STEAM_0:0:21400264_6',6,'STEAM_0:0:21400264',0,1),
('STEAM_0:0:24452537_30',30,'STEAM_0:0:24452537',0,1),
('STEAM_0:0:20414220_30',30,'STEAM_0:0:20414220',0,1),
('STEAM_0:0:24986386_30',30,'STEAM_0:0:24986386',0,1),
('STEAM_0:0:27266236_9',9,'STEAM_0:0:27266236',0,1),
('STEAM_0:1:24274573_30',30,'STEAM_0:1:24274573',0,1),
('STEAM_0:1:2663272_22',22,'STEAM_0:1:2663272',0,1),
('STEAM_0:1:16506142_30',30,'STEAM_0:1:16506142',0,1),
('STEAM_0:0:24551700_5',5,'STEAM_0:0:24551700',0,1),
('STEAM_0:0:24551700_22',22,'STEAM_0:0:24551700',0,1),
('STEAM_0:0:24986386_5',5,'STEAM_0:0:24986386',0,1),
('STEAM_0:0:24986386_22',22,'STEAM_0:0:24986386',0,1),
('STEAM_0:1:29478435_6',6,'STEAM_0:1:29478435',0,1),
('STEAM_0:0:21400264_30',30,'STEAM_0:0:21400264',0,1),
('STEAM_0:0:24551700_30',30,'STEAM_0:0:24551700',0,1),
('STEAM_0:0:24551700_12',12,'STEAM_0:0:24551700',0,1),
('STEAM_0:0:24986386_6',6,'STEAM_0:0:24986386',0,1),
('STEAM_0:1:24274573_9',9,'STEAM_0:1:24274573',0,1),
('STEAM_0:0:22775383_30',30,'STEAM_0:0:22775383',0,1),
('STEAM_0:0:16498933_22',22,'STEAM_0:0:16498933',0,1),
('STEAM_0:1:2663272_5',5,'STEAM_0:1:2663272',0,1),
('STEAM_0:0:22775383_6',6,'STEAM_0:0:22775383',0,1),
('STEAM_0:1:16506142_9',9,'STEAM_0:1:16506142',0,1),
('STEAM_0:0:21400264_5',5,'STEAM_0:0:21400264',0,1),
('STEAM_0:1:17187926_30',30,'STEAM_0:1:17187926',0,1),
('STEAM_0:1:5838463_9',9,'STEAM_0:1:5838463',0,1),
('STEAM_0:1:5838463_22',22,'STEAM_0:1:5838463',0,1),
('STEAM_0:1:5838463_30',30,'STEAM_0:1:5838463',0,1),
('STEAM_0:1:2663272_29',29,'STEAM_0:1:2663272',0,1),
('STEAM_0:1:29478435_9',9,'STEAM_0:1:29478435',0,1),
('STEAM_0:0:24452537_6',6,'STEAM_0:0:24452537',0,1),
('STEAM_0:1:5838463_12',12,'STEAM_0:1:5838463',0,1),
('STEAM_0:1:17187926_12',12,'STEAM_0:1:17187926',0,1),
('STEAM_0:1:2663272_12',12,'STEAM_0:1:2663272',0,1),
('STEAM_0:0:27266236_2',2,'STEAM_0:0:27266236',0,1),
('STEAM_0:1:2663272_9',9,'STEAM_0:1:2663272',0,1),
('STEAM_0:1:13875431_22',22,'STEAM_0:1:13875431',0,1),
('STEAM_0:1:13875431_30',30,'STEAM_0:1:13875431',0,1),
('STEAM_0:1:1347962_5',5,'STEAM_0:1:1347962',0,1),
('STEAM_0:1:8626782_6',6,'STEAM_0:1:8626782',0,1),
('STEAM_0:1:8626782_22',22,'STEAM_0:1:8626782',0,1),
('STEAM_0:1:8626782_30',30,'STEAM_0:1:8626782',1,0),
('STEAM_0:1:29478435_2',2,'STEAM_0:1:29478435',0,1),
('STEAM_0:1:29478435_3',3,'STEAM_0:1:29478435',0,1),
('STEAM_0:0:19049576_2',2,'STEAM_0:0:19049576',0,1),
('STEAM_0:1:12155955_2',2,'STEAM_0:1:12155955',0,1),
('STEAM_0:1:12155955_9',9,'STEAM_0:1:12155955',0,1),
('STEAM_0:1:12155955_22',22,'STEAM_0:1:12155955',0,1),
('STEAM_0:1:17958735_6',6,'STEAM_0:1:17958735',0,1),
('STEAM_0:1:17958735_12',12,'STEAM_0:1:17958735',1,0),
('STEAM_0:1:17958735_29',29,'STEAM_0:1:17958735',1,0),
('STEAM_0:1:13875431_9',9,'STEAM_0:1:13875431',0,1),
('STEAM_0:1:13875431_12',12,'STEAM_0:1:13875431',0,1),
('STEAM_0:0:4591991_6',6,'STEAM_0:0:4591991',0,1),
('STEAM_0:0:4591991_12',12,'STEAM_0:0:4591991',0,1),
('STEAM_0:0:31054138_12',12,'STEAM_0:0:31054138',0,1),
('STEAM_0:0:31054138_30',30,'STEAM_0:0:31054138',0,1),
('STEAM_0:1:12155955_6',6,'STEAM_0:1:12155955',0,1),
('STEAM_0:1:25425437_22',22,'STEAM_0:1:25425437',0,1),
('STEAM_0:0:13492773_22',22,'STEAM_0:0:13492773',0,1),
('STEAM_0:0:13492773_30',30,'STEAM_0:0:13492773',0,1),
('STEAM_0:1:13875431_6',6,'STEAM_0:1:13875431',0,1),
('STEAM_0:1:12155955_12',12,'STEAM_0:1:12155955',7,0),
('STEAM_0:1:13875431_2',2,'STEAM_0:1:13875431',0,1),
('STEAM_0:0:31054138_22',22,'STEAM_0:0:31054138',0,1),
('STEAM_0:0:13492773_12',12,'STEAM_0:0:13492773',0,1),
('STEAM_0:0:13492773_6',6,'STEAM_0:0:13492773',0,1),
('STEAM_0:0:31996229_22',22,'STEAM_0:0:31996229',0,1),
('STEAM_0:0:31996229_30',30,'STEAM_0:0:31996229',0,1),
('STEAM_0:0:18131101_12',12,'STEAM_0:0:18131101',0,1),
('STEAM_0:0:18131101_22',22,'STEAM_0:0:18131101',0,1),
('STEAM_0:0:13492773_9',9,'STEAM_0:0:13492773',0,1),
('STEAM_0:0:18131101_30',30,'STEAM_0:0:18131101',0,1),
('STEAM_0:0:29464650_22',22,'STEAM_0:0:29464650',0,1),
('STEAM_0:1:31250857_22',22,'STEAM_0:1:31250857',0,1),
('STEAM_0:0:26913902_9',9,'STEAM_0:0:26913902',0,1),
('STEAM_0:0:29464650_12',12,'STEAM_0:0:29464650',0,1),
('STEAM_0:0:26913902_6',6,'STEAM_0:0:26913902',0,1),
('STEAM_0:1:26164267_22',22,'STEAM_0:1:26164267',0,1),
('STEAM_0:0:29464650_6',6,'STEAM_0:0:29464650',0,1),
('STEAM_0:0:29464650_30',30,'STEAM_0:0:29464650',0,1),
('STEAM_0:1:26164267_6',6,'STEAM_0:1:26164267',0,1),
('STEAM_0:1:26164267_30',30,'STEAM_0:1:26164267',0,1),
('STEAM_0:0:26913902_12',12,'STEAM_0:0:26913902',5,0),
('STEAM_0:1:28341941_12',12,'STEAM_0:1:28341941',0,1),
('STEAM_0:1:28341941_22',22,'STEAM_0:1:28341941',0,1),
('STEAM_0:1:28341941_5',5,'STEAM_0:1:28341941',0,1),
('STEAM_0:1:7071467_6',6,'STEAM_0:1:7071467',0,1),
('STEAM_0:1:7071467_9',9,'STEAM_0:1:7071467',0,1),
('STEAM_0:0:26599512_6',6,'STEAM_0:0:26599512',0,1),
('STEAM_0:0:17422907_6',6,'STEAM_0:0:17422907',0,1),
('STEAM_0:1:4724953_6',6,'STEAM_0:1:4724953',0,1),
('STEAM_0:1:20121942_6',6,'STEAM_0:1:20121942',0,1);

