<?php
/**
 * Custom Achievements 2.0!
 * webinterface_1.0
 * arrays.php
 *
 * @author 		Janvier1985
 * @author		Mecha the Slag
 * @copyright	None
 * @link		http://forums.alliedmods.net/showthread.php?t=126779
 *
 */


// Protect the file
if(basename($_SERVER["PHP_SELF"]) == "arrays.php"){
die("403 - Access Forbidden");
}

// if you want to add a game
// please enter is here!
$games = array(
	0 => "any", 
	1 => "Team Fortress 2", 
	2 => "Left 4 Dead 2"
);

// Generated on 23/5/2010 at 23:23
$events = array(
	1 => "kill", 
	2 => "hurt", 
	3 => "chat", 
	4 => "spawn", 
	5 => "break_breakable", 
	100 => "_TEAM FORTRESS 2_", 
	101 => "capture", 
	102 => "buffbanner", 
	103 => "mvp", 
	104 => "player_sapped", 
	106 => "medic_uber", 
	107 => "item_found", 
	200 => "_LEFT 4 DEAD 2_", 
	201 => "pills_used", 
	202 => "l4d2_heal", 
	203 => "enter_saferoom", 
	204 => "tank_frustrated"
);

$targets = array(
	"1.1" => "Killer", 
	"1.2" => "Victim", 
	"1.3" => "Assister", 
	"2.1" => "Attacker", 
	"2.2" => "Victim", 
	"3.1" => "Player", 
	"4.1" => "Player", 
	"5.1" => "Player", 
	"101.1" => "Player", 
	"102.1" => "Player", 
	"103.1" => "Player", 
	"104.1" => "Spy", 
	"104.2" => "Owner", 
	"106.1" => "Medic", 
	"106.2" => "Target", 
	"107.1" => "Player", 
	"201.1" => "Player", 
	"202.1" => "Target", 
	"202.2" => "User", 
	"203.1" => "Player", 
	"204.1" => "Player"
);

$expire = array(
	0 => "Never", 
	1 => "On death", 
	2 => "On kill", 
	3 => "On hurt", 
	4 => "On chat", 
	5 => "On spawn", 
	6 => "On break func_breakable", 
	99 => "__TEAM FORTRESS 2__", 
	100 => "On point captured", 
	101 => "On buff banner deployed", 
	102 => "On MVP", 
	103 => "On Sapping an Object", 
	104 => "On Getting Object Sapped", 
	105 => "On Healing (medic)", 
	106 => "On Getting Healed", 
	107 => "On Being Ubered", 
	108 => "On Deploying Uber (medic)", 
	109 => "On Item Obtained", 
	110 => "On Found", 
	111 => "On Item Crafted", 
	199 => "__LEFT 4 DEAD 2__", 
	200 => "On pills used", 
	201 => "On healed by medkit", 
	202 => "On healed someone with medkit", 
	203 => "On enter saferoom", 
	204 => "On frustrated as tank"
);

$require= array(
	1 => "X Must be alive", 
	2 => "X Must be dead", 
	3 => "X Must have minimum Y hp", 
	4 => "X Must have maximum Y hp", 
	5 => "Did not self-inflict", 
	6 => "Self-inflicted", 
	7 => "[Chat] Chat input contains X", 
	8 => "[Chat] Chat input does not contain X", 
	9 => "[Chat] Chat input equals X", 
	10 => "X's name contains Y", 
	11 => "X's name does not contain Y", 
	12 => "X's name equals Y", 
	13 => "X's steamid is Y", 
	14 => "X is class Y (scout, smoker, nick, ...)", 
	15 => "X is team Y (red, survivor, ...)", 
	16 => "X is on team with Y", 
	17 => "X is not on team with Y", 
	18 => "X and Y is the same person", 
	19 => "X and Y is not the same person", 
	20 => "X's team has minimum y players alive", 
	21 => "X's team has maximum y players alive", 
	22 => "X has achievement with id Y unlocked", 
	23 => "X has not achievement with id Y unlocked", 
	24 => "X is a bot", 
	25 => "X is not a bot", 
	99 => "__TEAM FORTRESS 2__", 
	100 => "[Capture] Participants is minimum X players", 
	101 => "[Capture] Participants is maximum X players", 
	102 => "Was (any) critical", 
	103 => "Was real critical", 
	104 => "Was mini critical", 
	105 => "Was not critical", 
	106 => "X is covered in jarate", 
	107 => "X is not covered in jarate", 
	108 => "X is buffed by buffbanner", 
	109 => "X is not buffed by buffbanner", 
	110 => "[Item] Item is named X (Ghastly Gibus, Axtinguisher, ...)", 
	111 => "[Item] Item is not named X", 
	112 => "[Item] Item is crafted X", 
	113 => "[Item] Item is found X"
);

$require_type= array(
	1 => 2, 
	2 => 2, 
	3 => 2, 
	4 => 2, 
	10 => 2, 
	11 => 2, 
	12 => 2, 
	13 => 2, 
	14 => 2, 
	15 => 2, 
	16 => 3, 
	17 => 3, 
	18 => 3, 
	19 => 3, 
	20 => 2, 
	21 => 2, 
	22 => 2, 
	23 => 2, 
	24 => 2, 
	25 => 2, 
	106 => 2, 
	107 => 2, 
	108 => 2, 
	109 => 2
);

$require_param= array(
	3 => 2, 
	4 => 2, 
	5 => 0, 
	6 => 0, 
	10 => 2, 
	11 => 2, 
	12 => 2, 
	13 => 2, 
	14 => 2, 
	15 => 2, 
	16 => 2, 
	17 => 2, 
	18 => 2, 
	19 => 2, 
	20 => 2, 
	21 => 2, 
	22 => 2, 
	23 => 2, 
	99 => 0, 
	102 => 0, 
	103 => 0, 
	104 => 0, 
	105 => 0, 
	112 => 0, 
	113 => 0
);

?>